package src.db;
import java.sql.*;

// JDBC book example on page 95
public class DBJoin {
	public static void main(String[] args) {
		String url= "jdbc:sqlserver://localhost\\SQLEXPRESS;databaseName=MIT1204;"+
			"user=gkocur3;password=car5940;";
		Connection con;
		String query= "select SUPPLIERS.SUP_NAME, COFFEES.COF_NAME " +
					   "from COFFEES, SUPPLIERS " +
					   "where SUPPLIERS.SUP_NAME like 'Acme, Inc.' and " +
					   "SUPPLIERS.SUP_ID = COFFEES.SUP_ID";
		Statement stmt;

		try {
			Class.forName( "com.microsoft.sqlserver.jdbc.SQLServerDriver" );
		} catch (ClassNotFoundException e) {
			System.out.println("ClassNotFoundException");
			e.printStackTrace();
		}

		try {       
			con = DriverManager.getConnection(url);
			System.out.println("Connected");		// Debug statement
			stmt= con.createStatement();
			ResultSet rs= stmt.executeQuery(query);
			System.out.println("Supplier, Coffee");
			while (rs.next()) {
				String supName = rs.getString(1);
				String cofName = rs.getString(2);
				System.out.println("    " + supName + ", " + cofName);
			}
			stmt.close();
			con.close();
		} catch( SQLException ex ) {
			System.out.println("SQLException");
			ex.printStackTrace();
		}
	}
}